.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Затемнённый фон */
    z-index: 1000; /* Высокий z-index для перекрытия */
    justify-content: center;
    align-items: center;
    overflow: auto;
}

.modal-content {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    width: 90%;
    max-width: 600px; /* Максимальная ширина окна */
    position: relative;
    overflow: hidden;
}

#pickup-map-container { margin-top: 10px; }
#pickup-map { height: 400px; width: 100%; opacity: 0; transition: opacity 0.3s ease-in-out; }
#pickup-map.visible { opacity: 1; }
/* .input { margin-bottom: 15px; position: relative; }
.input-label { display: block; margin-bottom: 5px; } */
input#pickup-point, input#pickupPoint { padding: 5px; width: 50%; box-sizing: border-box; cursor: pointer; }
@media (max-width: 600px) {
    .modal-content {
        width: 95%;
        max-width: 100%;
    }
    #pickup-map { height: 300px; }
    input#pickup-point { font-size: 14px; }
}